import { KeyBinding } from "@codemirror/view";
import { EditorState, Transaction, Extension, StateCommand } from "@codemirror/state";
export interface CloseBracketConfig {
    brackets?: string[];
    before?: string;
    stringPrefixes?: string[];
}
export declare function closeBrackets(): Extension;
export declare const deleteBracketPair: StateCommand;
export declare const closeBracketsKeymap: readonly KeyBinding[];
export declare function insertBracket(state: EditorState, bracket: string): Transaction | null;
