export declare class FuzzyMatcher {
    readonly pattern: string;
    chars: number[];
    folded: number[];
    astral: boolean;
    any: number[];
    precise: number[];
    byWord: number[];
    score: number;
    matched: readonly number[];
    constructor(pattern: string);
    ret(score: number, matched: readonly number[]): this;
    match(word: string): {
        score: number;
        matched: readonly number[];
    } | null;
    result(score: number, positions: number[], word: string): this;
}
export declare class StrictMatcher {
    readonly pattern: string;
    matched: readonly number[];
    score: number;
    folded: string;
    constructor(pattern: string);
    match(word: string): {
        score: number;
        matched: readonly number[];
    } | null;
}
