import { KeyBinding } from "@codemirror/view";
import { EditorState, Transaction, StateCommand, Facet } from "@codemirror/state";
import { Completion } from "./completion";
export declare function snippet(template: string): (editor: {
    state: EditorState;
    dispatch: (tr: Transaction) => void;
}, completion: Completion | null, from: number, to: number) => void;
export declare const clearSnippet: StateCommand;
export declare const nextSnippetField: StateCommand;
export declare const prevSnippetField: StateCommand;
export declare function hasNextSnippetField(state: EditorState): boolean;
export declare function hasPrevSnippetField(state: EditorState): boolean;
export declare const snippetKeymap: Facet<readonly KeyBinding[], readonly KeyBinding[]>;
export declare function snippetCompletion(template: string, completion: Completion): Completion;
